<?php

/**
 * MAZ Loader Constants
 *
 * @link       https://www.feataholic.com
 * @since      @pkg.version@ @pkg.type@
 *
 * @package    MZLDR
 * @subpackage MZLDR/includes
 */

/**
 * MAZ Loader Constants.
 *
 * This class defines all constants used within MAZ Loader.
 *
 * @since      @pkg.version@ @pkg.type@
 * @package    MZLDR
 * @subpackage MZLDR/includes
 * @author     Your Name <email@example.com>
 */
class MZLDR_Constants {

	/**
	 * Base URL
	 *
	 * @var string
	 */
	private static $BASE_URL = 'https://www.feataholic.com/wordpress-plugins/maz-loader/';

	/**
	 * Returns the documentation URL
	 *
	 * @return string
	 */
	public static function getDocumentationURL() {
		return self::$BASE_URL . 'documentation/';
	}

	/**
	 * Returns the Settings URL
	 *
	 * @return tring
	 */
	public static function getSettingsURL() {
		return admin_url( 'admin.php?page=maz-loader-settings' );
	}

	/**
	 * Returns the Create New Loader URL
	 *
	 * @return tring
	 */
	public static function getCreateNewLoaderURL() {
		return admin_url( 'admin.php?page=maz-loader' );
	}


}
